Cards & Wallets · Common features

Notifications

All requests can be configured for notifications, regardless of the payment method or transaction type. This allows you to keep your back office systems in synch with your customer’s payments and transactions. Notifications are sent when transaction processing is completed.

We’ll send you everything we know about the transaction including custom fields you might have asked your customer to enter, 3D Secure information, PayPal Seller Protection information, the results of Optimize rules, data we’ve added through our third party data sources (for example, supplementary card information and GeoIP enrichments) as well as information from the authoriser that includes Authorisation responses, messages and codes, AVS and CV2 responses.

You can specify where you would like the notification to be sent on every request or you can tell us where you would like them to be sent for all transactions, by default. The latter we’ll enable on your account during boarding. Where a default is set, we’ll also send notifications of transactions initiated in the Merchant Portal (for example, manual Refunds) to the specified URL.

The URL must use a host name which can be resolved using a public DNS (excluding *.pay360.com), or a public routable IP address (nothing in RFC 1918). We support connecting to merchants on ports 80 or 8080 (for HTTP) and 443 or 8443 (for HTTPS).

The IP address space is 185.161.164.0/22, which covers 1024 addresses from 185.161.164.0 through 185.161.167.255 inclusive. Requests that we originate, including notifications, will come from an address within this range. The exact addresses we use may vary from time to time.

Our APIs are continuously evolving. We will not take any fields away without giving advanced notice, but we may add new fields at any time. Your integration must be able to cope with the appearance of new fields.

If we can’t successfully deliver the notification to you first time, we’ll keep trying. A notification is considered successfully delivered if a success response (HTTP 200) is received within 10 seconds.

The notification we send

Your endpoint receives the completed transaction. The request body depends on which API took the payment:

When using your payment page

Payment with JSON Notification
EndpointDefinition
POST /acceptor/rest/transactions/{instId}/payment
Request body
{
    "transaction": {
        "currency": "GBP",
        "amount": 25.00,
        "merchantRef": "TXN-0001",
        "description": "Sample Payment",
        "commerceType": "ECOM"
    },
    "paymentMethod": {
        "card": {
            "pan": "9900000000000010",
            "expiryDate": "1229",
            "cv2": "123",
            "cardHolderName": "John Smith"
        },
        "billingAddress": {
            "line1": "1 Some Street",
            "city": "Metropolis",
            "postcode": "AA1 2BB",
            "countryCode": "GBR"
        }
    },
    "callbacks": {
        "transactionNotification": {
            "url": "https://www.example.com/processNotification",
            "format": "REST_JSON"
        }
    }
}
cURL
curl -X POST "{targetEnvironmentPath}/acceptor/rest/transactions/{instId}/payment" \
  -u "{apiUser}:{apiPassword}" \
  -H "Content-Type: application/json" \
  -d '{
    "transaction": {
        "currency": "GBP",
        "amount": 25.00,
        "merchantRef": "TXN-0001",
        "description": "Sample Payment",
        "commerceType": "ECOM"
    },
    "paymentMethod": {
        "card": {
            "pan": "9900000000000010",
            "expiryDate": "1229",
            "cv2": "123",
            "cardHolderName": "John Smith"
        },
        "billingAddress": {
            "line1": "1 Some Street",
            "city": "Metropolis",
            "postcode": "AA1 2BB",
            "countryCode": "GBR"
        }
    },
    "callbacks": {
        "transactionNotification": {
            "url": "https://www.example.com/processNotification",
            "format": "REST_JSON"
        }
    }
}'
Notification we send
{
  "history": [
    {
      "transactionStatus": "SUCCESS",
      "reasonCode": "S100",
      "reasonMessage": "Authorised",
      "timeStamp": "2025-09-22T12:48:29.533+01:00"
    }
  ],
  "processing": {
    "model": "MANAGE",
    "authResponse": {
      "statusCode": "00",
      "acquirerName": "Barclays Merchant Services",
      "message": "AUTH CODE:583664",
      "authCode": "583664",
      "gatewayReference": "9dfff7d8c8f91d68ac5fb8989454cb70",
      "gatewayMessage": "AUTH CODE:583664",
      "avsAddressCheck": "FULL_MATCH",
      "avsPostcodeCheck": "FULL_MATCH",
      "cv2Check": "MATCHED",
      "status": "AUTHORISED"
    },
    "route": "CPE"
  },
  "customFields": {},
  "threeDSecure": {
    "versionsAttempted": [
      {
        "version": 2,
        "availability": "ISSUER_NO_3DS"
      }
    ]
  },
  "paymentMethod": {
    "registered": false,
    "card": {
      "cardFingerprint": "0hbdt0r/7ofTCqA5qKilqtHeeJg=",
      "new": true,
      "cardType": "MC_DEBIT",
      "cardUsageType": "DEBIT",
      "cardScheme": "MASTERCARD",
      "cardCategory": "DEBIT",
      "maskedPan": "990000******0010",
      "expiryDate": "1229",
      "issuer": "PAY360 TESTING",
      "issuerCountry": "GBR",
      "cardHolderName": "John Smith"
    },
    "billingAddress": {
      "line1": "1 Some Street",
      "city": "Metropolis",
      "postcode": "AA1 2BB",
      "country": "United Kingdom",
      "countryCode": "GBR"
    },
    "paymentClass": "CARD",
    "reuse": {
      "storage": "NONE"
    }
  },
  "transaction": {
    "transactionId": "10254745938",
    "merchantRef": "TXN-0001",
    "merchantDescription": "Sample Payment",
    "status": "SUCCESS",
    "stage": "COMPLETE",
    "type": "PAYMENT",
    "amount": 25.00,
    "consumerSpend": 25.00,
    "currency": "GBP",
    "transactionTime": "2025-09-22T12:48:28.623+01:00",
    "receivedTime": "2025-09-22T12:48:28.623+01:00",
    "customerInitiated": true
  },
  "strongCustomerAuthentication": {
    "transactionType": "GOODS_OR_SERVICES"
  },
  "installationId": "5306285"
}

When using the PaySuite Payment Page

Payment with JSON notification
EndpointDefinition
POST /hosted/rest/sessions/{instId}/payments
Request body
{
  "session": {
    "transactionNotification": {
      "url": "https://www.example.com/processNotification",
      "format": "REST_JSON"
    },
    "returnUrl": {
      "url": "https://www.example.com/return"
    }
  },
  "transaction": {
    "money": {
      "currency": "GBP",
      "amount": {
        "fixed": 25.00
      }
    },
    "merchantReference": "aReference"
  }
}
cURL
curl -X POST "{targetEnvironmentPath}/hosted/rest/sessions/{instId}/payments" \
  -u "{apiUser}:{apiPassword}" \
  -H "Content-Type: application/json" \
  -d '{
  "session": {
    "transactionNotification": {
      "url": "https://www.example.com/processNotification",
      "format": "REST_JSON"
    },
    "returnUrl": {
      "url": "https://www.example.com/return"
    }
  },
  "transaction": {
    "money": {
      "currency": "GBP",
      "amount": {
        "fixed": 25.00
      }
    },
    "merchantReference": "aReference"
  }
}'
Response
HTTP/1.1 201 Created

{
  "sessionId": "SMjo-cAdeE1dGHbBKuYpdjDfF",
  "redirectUrl": "https://secure.mite.pay360.com/hosted/SMjo-cAdeE1dGHbBKuYpdjDfF/begin/SMjo-cAdeE1dGHbBKuYpdjDfF",
  "status": "SUCCESS"
}

A notification for a hosted session adds the sessionId, the locale the customer used, transaction.channel and the customer details we collected.

Notification we send
{
  "history": [
    {
      "transactionStatus": "SUCCESS",
      "reasonCode": "S100",
      "reasonMessage": "Authorised",
      "timeStamp": "2025-09-22T12:53:36.836+01:00"
    }
  ],
  "locale": "en",
  "processing": {
    "model": "MANAGE",
    "authResponse": {
      "statusCode": "00",
      "acquirerName": "Barclays Merchant Services",
      "message": "AUTH CODE:844681",
      "authCode": "844681",
      "gatewayReference": "3b7b921c7acd41dde07e863c7b7eb42d",
      "gatewayMessage": "AUTH CODE:844681",
      "avsAddressCheck": "NOT_CHECKED",
      "avsPostcodeCheck": "NOT_CHECKED",
      "cv2Check": "MATCHED",
      "status": "AUTHORISED"
    },
    "route": "CPE"
  },
  "customFields": {},
  "threeDSecure": {
    "versionsAttempted": [
      {
        "version": 2,
        "availability": "ISSUER_NO_3DS"
      }
    ]
  },
  "paymentMethod": {
    "registered": false,
    "card": {
      "cardFingerprint": "0hbdt0r/7ofTCqA5qKilqtHeeJg=",
      "new": true,
      "cardType": "MC_DEBIT",
      "cardUsageType": "DEBIT",
      "cardScheme": "MASTERCARD",
      "cardCategory": "DEBIT",
      "maskedPan": "990000******0010",
      "expiryDate": "1229",
      "issuer": "PAY360 TESTING",
      "issuerCountry": "GBR",
      "cardHolderName": "John Smith"
    },
    "paymentClass": "CARD",
    "reuse": {
      "storage": "NONE"
    }
  },
  "customer": {
    "ip": "212.58.253.67",
    "registered": false
  },
  "transaction": {
    "transactionId": "10254745947",
    "merchantRef": "aReference",
    "status": "SUCCESS",
    "stage": "COMPLETE",
    "type": "PAYMENT",
    "amount": 25.00,
    "consumerSpend": 25.00,
    "currency": "GBP",
    "transactionTime": "2025-09-22T12:53:35.787+01:00",
    "receivedTime": "2025-09-22T12:53:35.787+01:00",
    "channel": "WEB",
    "customerInitiated": true
  },
  "sessionId": "SMjrsHWzbKTpIfqFsV8EQGntk",
  "strongCustomerAuthentication": {
    "transactionType": "GOODS_OR_SERVICES"
  },
  "installationId": "5306285"
}